2
Vote

Error after updating from 5.5 to 5.6

description

After upgrading the Reports module from 5.5 to 5.6 I am unable to use the module. The following error is shown when the page is loaded:

___"A critical error has occurred. Inheritance security rules violated while overriding member: 'DotNetNuke.Modules.Reports.Exceptions.ReportsModuleException.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)'. Security accessibility of the overriding method must match the security accessibility of the method being overriden"

What is the cause of this and what is the solution?

comments

EPT wrote Oct 17, 2014 at 9:17 AM

I do not know.

If you have the backup of your site, export the report settings,. remove the old version of the module, install the new version and import the saved settings and you should be good to go.

genowaldo wrote May 15, 2015 at 5:09 PM

I experienced the same problem. What is the best way of tracking down all the places I use this module so I can fix it?